# Class CIM_UnixDirectory
extends CIM_Directory

UnixDirectory is a type of File that logically groups UnixFiles 'contained' in it.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_LogicalFile
|
+--CIM_Directory
|
+--CIM_UnixDirectory

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | UnixDirectory is a type of File that logically groups UnixFiles 'contained' in it.
UMLPackagePath | string | CIM::System::Unix
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FileSizeBits | uint64 |
Description | string | Minimum number of bits needed to represent the maximum size of a Unix file allowed in the specified directory, as a signed integer value. Thus, a value of 32 indicates a maximum size of 2**31 bytes.
MappingStrings | string | POSIX.TOG|pathconf|_PC_FILESIZEBITS
MinValue | sint64 | 32
PUnit | string | bit
Units | string | Bits

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CompressionMethod | string | CIM_LogicalFile
CreationClassName | string | CIM_LogicalFile
CreationDate | datetime | CIM_LogicalFile
CSCreationClassName | string | CIM_LogicalFile
CSName | string | CIM_LogicalFile
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EncryptionMethod | string | CIM_LogicalFile
Executable | boolean | CIM_LogicalFile
FileSize | uint64 | CIM_LogicalFile
FSCreationClassName | string | CIM_LogicalFile
FSName | string | CIM_LogicalFile
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
InUseCount | uint64 | CIM_LogicalFile
LastAccessed | datetime | CIM_LogicalFile
LastModified | datetime | CIM_LogicalFile
Name | string | CIM_LogicalFile
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Readable | boolean | CIM_LogicalFile
Status | string | CIM_ManagedSystemElement
Writeable | boolean | CIM_LogicalFile
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods